import { createContext } from 'react';
export const AppShellDrawerContext = createContext({
    drawerOpen: false,
    openDrawer: () => { },
    closeDrawer: () => { }
});
const AppShellContext = createContext({
    navOpen: false,
    drawerOpen: false,
    setDrawerOpen: () => { },
    navState: 'closed',
    collapsedHoverMenus: false,
    focusedImperatively: {
        get current() {
            return false;
        }
    },
    headerEl: null,
    previewTriggerRef: {
        get current() {
            return null;
        },
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        set current(val) { }
    },
    searchContainerEl: null,
    setSearchContainerEl: () => { },
    mobileNavOpen: false,
    previewActive: false,
    setPreviewActive: () => { }
});
export default AppShellContext;
//# sourceMappingURL=AppShellContext.js.map