import type { NoChildrenProp, WithAttributes, TestIdProp } from '../../types';
export type AlertProps = WithAttributes<'div', NoChildrenProp & TestIdProp & {
    /** Determines the color to render the Badge as. This color is derived from the Theme. */
    variant: 'urgent' | 'success';
}>;
export declare const StyledAlert: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, AlertProps, never>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<AlertProps, "ref"> & import("react").RefAttributes<HTMLDivElement>> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=Alert.d.ts.map