import type { NoChildrenProp, WithAttributes, TestIdProp } from '../../types';
export declare const StyledKeyboard: import("styled-components").StyledComponent<"kbd", import("styled-components").DefaultTheme, {}, never>;
export type KeyboardProps = WithAttributes<'kbd', NoChildrenProp & TestIdProp & {
    keyName: string;
}>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<KeyboardProps, "ref"> & import("react").RefAttributes<HTMLElement>> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=Keyboard.d.ts.map