import type { NoChildrenProp, WithAttributes } from '../../types';
export type BooleanDisplayProps = WithAttributes<'span', NoChildrenProp & {
    /** Boolean value */ value?: boolean;
    /** The text to be displayed when value is true.
     * @default 'Yes'
     */
    trueLabel?: string;
    /** The text to be displayed when value is false.
     * @default 'No'
     */
    falseLabel?: string;
}>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<BooleanDisplayProps, "ref"> & import("react").RefAttributes<HTMLSpanElement>>;
export default _default;
//# sourceMappingURL=BooleanDisplay.d.ts.map