import type { ComponentType, ComponentProps, PropsWithoutRef } from 'react';
/**
 * @param Component Component to wrap.
 * @returns A component that renders the passed component wrapped in a Configuration.
 */
declare const withConfiguration: <Comp extends ComponentType<any>>(Component: Comp) => (props: PropsWithoutRef<ComponentProps<Comp>>) => import("react/jsx-runtime").JSX.Element;
export default withConfiguration;
//# sourceMappingURL=withConfiguration.d.ts.map