export declare const isValidCurrency: (currency: string) => boolean;
export declare const getFormattedValue: (value: string, locale: string, currency?: string, { showGroupSeparators, showAs, numberOfDecimals }?: {
    showGroupSeparators?: boolean;
    showAs?: "code" | "symbol";
    numberOfDecimals?: number;
}) => string;
export declare function getCurrencyMinimumFractionDigits(locale: string, currencyISOCode?: string): number;
interface CurrencyFormatOptions {
    locale: string;
    options?: Intl.NumberFormatOptions;
}
export declare function formatCurrency(value: number | bigint, { locale, options }: CurrencyFormatOptions): string;
export {};
//# sourceMappingURL=utils.d.ts.map