import type { NoChildrenProp, WithAttributes } from '../../types';
export type DangerButtonProps = WithAttributes<'button', NoChildrenProp & {
    /** Text content for the button. */
    label: NonNullable<HTMLButtonElement['textContent']>;
    /**
     * Elevates emphasis for button style.
     * @default false
     */
    primary?: boolean;
}>;
export declare const StyledDangerButton: import("styled-components").StyledComponent<import("../../types").ForwardRefForwardPropsComponent<import("../Button").ButtonProps>, import("styled-components").DefaultTheme, {}, never>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<DangerButtonProps, "ref"> & import("react").RefAttributes<HTMLButtonElement>>;
export default _default;
//# sourceMappingURL=DangerButton.d.ts.map