import type { ForwardRefForwardPropsComponent, OmitStrict } from '../../../types';
import type { InputProps } from '../../Input/Input';
export interface PartInputProps extends OmitStrict<InputProps, 'defaultValue' | 'value' | 'onChange'> {
    value?: number;
    min?: number;
    max?: number;
    maxLength?: number;
    padWithZeros?: boolean;
    size?: number;
    onChange?: (value?: string) => void;
}
declare const PartInput: ForwardRefForwardPropsComponent<PartInputProps>;
export default PartInput;
//# sourceMappingURL=PartInput.d.ts.map