import type { FunctionComponent } from 'react';
import type { ForwardProps } from '../../../types';
import type DateTimeProps from '../DateTime.types';
import type { FormControlProps } from '../../FormControl';
export interface QuarterInputProps extends DateTimeProps {
    /** Pass a heading and content to show additional information on the field. */
    additionalInfo?: FormControlProps['additionalInfo'];
}
export declare const StyledQuarterInput: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, QuarterInputProps, never>;
declare const _default: FunctionComponent<QuarterInputProps & ForwardProps> & {
    getTestIds: (testIdProp?: import("../../../types").TestIdProp["testId"]) => import("../../../types").TestIdsRecord<readonly ["control-quarter", "control-year", "label", "info", "additional-info", "suggestion-accept", "suggestion-reject"]>;
};
export default _default;
//# sourceMappingURL=QuarterInput.d.ts.map