import type { PropsWithoutRef } from 'react';
import type { WithAttributes } from '../../types';
import type { FileDisplayProps } from './FileDisplay';
import type { FileItemProps } from './FileItem';
interface CommonFileProps {
    onDownloadAll?: () => void;
}
export type FileListProps = WithAttributes<'div', (CommonFileProps & {
    type: 'display';
    items: FileDisplayProps[];
    disabled?: never;
}) | (CommonFileProps & {
    type: 'item';
    items: FileItemProps[];
    disabled?: boolean;
})>;
export declare const StyledFileList: import("styled-components").StyledComponent<import("../../types").ForwardRefForwardPropsComponent<import("../Grid").GridProps>, import("styled-components").DefaultTheme, {}, never>;
declare const FileList: import("react").ForwardRefExoticComponent<PropsWithoutRef<FileListProps> & import("react").RefAttributes<HTMLDivElement>>;
export default FileList;
//# sourceMappingURL=FileList.d.ts.map