import type { WithAttributes } from '../../types';
type HiddenTextProps = WithAttributes<'span', {
    /** A DOM id that other elements can reference for an accessible label/description text. */
    id: string;
    /** Text content for an accessible label/description. */
    children: string;
}>;
export declare const StyledHiddenText: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
declare const _default: import("react").ForwardRefExoticComponent<Omit<HiddenTextProps, "ref"> & import("react").RefAttributes<HTMLSpanElement>>;
export default _default;
//# sourceMappingURL=HiddenText.d.ts.map