import type { ImgHTMLAttributes, Ref } from 'react';
import type { ForwardRefForwardPropsComponent } from '../../types';
export interface ImageProps extends ImgHTMLAttributes<HTMLImageElement> {
    /** The HTML alt attribute for the image. */
    alt: string;
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLImageElement>;
}
export declare const StyledImage: import("styled-components").StyledComponent<"img", import("styled-components").DefaultTheme, {}, never>;
declare const Image: ForwardRefForwardPropsComponent<ImageProps>;
export default Image;
//# sourceMappingURL=Image.d.ts.map