import type { ReactNode, Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent } from '../../types';
export interface CommaSeparatedListProps extends BaseProps {
    /** List content. */
    items: ReactNode[];
    /** List Heading. */
    heading?: string;
    /** Ref forwarded to the wrapping element. */
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledCommaSeparatedList: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const StyledCommaSeparatedListItem: import("styled-components").StyledComponent<"li", import("styled-components").DefaultTheme, {}, never>;
declare const CommaSeparatedList: ForwardRefForwardPropsComponent<CommaSeparatedListProps>;
export default CommaSeparatedList;
//# sourceMappingURL=CommaSeparatedList.d.ts.map