import type { FunctionComponent } from 'react';
import type { BaseProps, ForwardProps } from '../../types';
export interface OptionProps extends BaseProps {
    /** Text content for the Option. */
    children: string;
    /** Value associated with the Option. This value is passed to the Select onChange function. */
    value?: string;
}
declare const Option: FunctionComponent<OptionProps & ForwardProps>;
export default Option;
//# sourceMappingURL=Option.d.ts.map