import type { PropsWithDefaults } from '../../types';
import type { FormControlProps } from '../FormControl';
import type SliderProps from './Slider.types';
export type SliderPropsWithDefaults = PropsWithDefaults<SliderProps>;
export declare const StyledThumb: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const StyledBar: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    showProgress?: boolean;
}, never>;
export declare const StyledTrack: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const StyledTicksContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const StyledSliderTrackWrapper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const StyledPreview: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<import("../Number").NumberDisplayProps, "ref"> & import("react").RefAttributes<HTMLSpanElement>>, import("styled-components").DefaultTheme, {
    size: number;
}, never>;
export declare const StyledSlider: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    orientation: "vertical" | "horizontal";
    status: FormControlProps["status"];
    size: number;
}, never>;
export declare const StyledTickItem: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, import("../Grid").GridProps & {
    lowerBoundaryItem?: boolean;
    upperBoundaryItem?: boolean;
    orientation: "horizontal" | "vertical";
}, never>;
export declare const StyledTickButton: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
//# sourceMappingURL=Slider.styles.d.ts.map