import type { FunctionComponent } from 'react';
import type { ForwardProps } from '../../types';
import type { TabsProps } from './Tabs.types';
/**
 * The tabs component will take a list of tab data objects and render out a list of tabs in either vertical or horizontal direction.
 * The tabs component handles which tab is active but will give you a callback function that allows you to make changes when a new tab is activated
 */
declare const Tabs: FunctionComponent<TabsProps & ForwardProps>;
export default Tabs;
//# sourceMappingURL=Tabs.d.ts.map