import { useMemo } from 'react';
const useChToPxConversionFactor = () => {
    return useMemo(() => {
        const chToPxDiv = document.createElement('div');
        chToPxDiv.style.width = '1ch';
        chToPxDiv.style.position = 'fixed';
        document.body.append(chToPxDiv);
        const conversionFactor = chToPxDiv.offsetWidth;
        chToPxDiv.remove();
        return conversionFactor;
    }, []);
};
export default useChToPxConversionFactor;
//# sourceMappingURL=useChToPxConversionFactor.js.map