import type { RefObject, DependencyList } from 'react';
/**
 * @example useFocusTrap(elementRef)
 * @param elementRef ref of the element in which focus needs to be retained
 * @param addToDocument boolean value to specify if event to be attached to document or to be taken from elementRef, defaults to true
 * @param dependencies  list of variables or functions that will initiate this hook when they are updated.
 */
declare const useFocusTrap: (elementRef: RefObject<HTMLElement> | null, attachToDocument?: boolean, dependencies?: DependencyList) => void;
export default useFocusTrap;
//# sourceMappingURL=useFocusTrap.d.ts.map