interface Options {
    key?: string;
    delay?: number;
    shouldPreventDefault?: boolean;
}
declare const useLongPress: <T>(onLongPress: () => void, onClick?: () => void, { key, shouldPreventDefault, delay }?: Options) => {
    onMouseDown: (e: React.MouseEvent<T>) => void;
    onTouchStart: (e: React.TouchEvent<T>) => void;
    onKeyDown: (e: React.KeyboardEvent<T>) => void;
    onMouseUp: () => void;
    onKeyUp: (e: React.KeyboardEvent<T>) => void;
    onMouseLeave: () => void;
    onTouchEnd: () => void;
};
export default useLongPress;
//# sourceMappingURL=useLongPress.d.ts.map