import type { ShortcutAction } from '../components/ShortcutManager/ShortcutManager.types';
/**
 * Hook to attach a callback to the keyboard shortcut action.
 * @param actionId the identifier of the action to attach the callback to
 * @param callback function that should be invoked when given action gets triggered
 * @returns current shortcut bound to the given action in form of accelerator
 */
declare const useShortcut: (actionId: ShortcutAction["id"], callback: (e: ShortcutEvent) => void) => {
    binding?: string;
};
export default useShortcut;
//# sourceMappingURL=useShortcut.d.ts.map