/**
 * Generate a RegExp with a string parameter.
 * @param s The string to match.
 * @param type How to match.
 * @param flags Standard RegExp flags.
 * @returns A RegExp with the match pattern.
 */
declare const createStringMatcher: (s: string, type?: "contains" | "start" | "exact" | "boundary", flags?: string) => RegExp;
export default createStringMatcher;
//# sourceMappingURL=createStringMatcher.d.ts.map