/** @returns Debounced function that runs only after waitTime(ms) has elapsed since the last time it was last invoked. */
declare const debounce: <F extends (...args: any[]) => any>(fn: F, waitTime: number) => ((...args: Parameters<F>) => void);
export default debounce;
//# sourceMappingURL=debounce.d.ts.map