/**
 * Blocks usage of "javascript:" scheme.
 * @see https://github.com/facebook/react/blob/main/packages/react-dom-bindings/src/shared/sanitizeURL.js#L19-L20
 */
// Using constant to avoid Vite parse error.
const disallowedURI = 
// eslint-disable-next-line no-control-regex
/^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*:/i;
export default disallowedURI;
//# sourceMappingURL=disallowedURI.js.map