/** @returns Throttled function that can be called at most once in given waitTime(ms). */
declare const throttle: <F extends (...args: never[]) => void>(fn: F, waitTime: number) => ((...args: Parameters<F>) => void);
export default throttle;
//# sourceMappingURL=throttle.d.ts.map