import type { PropsWithoutRef, Ref } from 'react';
import type { RequireAtLeastOne, WithAttributes } from '../../types';
import type { DialogHandleValue } from '../Dialog';
export type AdditionalInfoProps = WithAttributes<'div', RequireAtLeastOne<{
    heading?: string;
    children: string | JSX.Element;
    /** Used for the accessible button label, if not provided heading is used */
    contextualLabel?: string;
    dialogHandle?: Ref<DialogHandleValue>;
}, 'heading' | 'contextualLabel'>>;
export declare const StyledAdditionalInfo: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
declare const _default: import("react").ForwardRefExoticComponent<PropsWithoutRef<AdditionalInfoProps> & import("react").RefAttributes<HTMLDivElement>>;
export default _default;
//# sourceMappingURL=AdditionalInfo.d.ts.map