import type { Ref, MouseEvent, KeyboardEvent, ReactNode } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent } from '../../types';
export interface BareRoleButtonProps extends BaseProps {
    children: ReactNode;
    onClick?: (e: MouseEvent<HTMLDivElement>) => void;
    onKeyDown?: (e: KeyboardEvent<HTMLDivElement>) => void;
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledBareRoleButton: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
declare const BareRoleButton: ForwardRefForwardPropsComponent<BareRoleButtonProps>;
export default BareRoleButton;
//# sourceMappingURL=BareRoleButton.d.ts.map