import type { FunctionComponent, ReactNode } from 'react';
import type { BaseProps, ExcludeStrict, ForwardProps } from '../../types';
import type { FlexProps } from '../Flex';
export interface CardContentProps extends BaseProps {
    /** The content of the Card. */
    children: ReactNode;
    container?: ExcludeStrict<FlexProps['container'], true>;
}
export declare const StyledCardContent: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
declare const CardContent: FunctionComponent<CardContentProps & ForwardProps>;
export default CardContent;
//# sourceMappingURL=CardContent.d.ts.map