import type { FunctionComponent } from 'react';
import type { FlexContainerProps } from '../Flex';
import type { BaseProps, ForwardProps } from '../../types';
export interface CardFooterProps extends BaseProps {
    /** [justify-content](https://css-tricks.com/almanac/properties/j/justify-content/) */
    justify?: FlexContainerProps['justify'];
}
export declare const StyledCardFooter: import("styled-components").StyledComponent<"footer", import("styled-components").DefaultTheme, {}, never>;
declare const CardFooter: FunctionComponent<CardFooterProps & ForwardProps>;
export default CardFooter;
//# sourceMappingURL=CardFooter.d.ts.map