import type { ReactNode, Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent } from '../../types';
export interface CardHeaderProps extends BaseProps {
    /** The Card header content. */
    children: ReactNode;
    /** Action Buttons that will render within the header. */
    actions?: ReactNode;
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledCardHeader: import("styled-components").StyledComponent<"header", import("styled-components").DefaultTheme, CardHeaderProps, never>;
declare const CardHeader: ForwardRefForwardPropsComponent<CardHeaderProps>;
export default CardHeader;
//# sourceMappingURL=CardHeader.d.ts.map