import type { ReactNode } from 'react';
import type { DefaultSettableTheme } from '../../theme';
export interface ThemeOverrideProps {
    /** Content that will inherit theming overrides. */
    children: ReactNode;
    /** Theme object used to override theme properties. */
    theme: DefaultSettableTheme;
}
declare const ThemeOverride: ({ children, theme }: ThemeOverrideProps) => import("react/jsx-runtime").JSX.Element;
export default ThemeOverride;
//# sourceMappingURL=ThemeOverride.d.ts.map