import type { FunctionComponent } from 'react';
import type { ForwardProps, OmitStrict } from '../../../types';
import type { FormControlProps } from '../../FormControl';
import type DateTimeProps from '../DateTime.types';
export interface WeekInputProps extends OmitStrict<FormControlProps, 'value' | 'defaultValue'>, DateTimeProps {
}
export declare const StyledWeekInput: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, WeekInputProps, never>;
declare const _default: FunctionComponent<WeekInputProps & ForwardProps> & {
    getTestIds: (testIdProp?: import("../../../types").TestIdProp["testId"]) => import("../../../types").TestIdsRecord<readonly ["control-week", "control-year", "open-close-picker", "picker", "clear-current-week", "label", "info", "additional-info", "suggestion-accept", "suggestion-reject"]>;
};
export default _default;
//# sourceMappingURL=WeekInput.d.ts.map