import type { FunctionComponent } from 'react';
import type DatePickerProps from './DatePicker.types';
export interface DateRangePickerProps extends DatePickerProps {
    /** Defines dates range that can be set by the user. */
    selectedRange?: {
        startDate: Date | undefined;
        endDate: Date | undefined;
    };
}
declare const DateRangePicker: FunctionComponent<DateRangePickerProps>;
export default DateRangePicker;
//# sourceMappingURL=DateRangePicker.d.ts.map