import type { FunctionComponent, ReactNode } from 'react';
import type { BaseProps, NoChildrenProp } from '../../types';
export interface EmojiDisplayProps extends BaseProps, NoChildrenProp {
    /** Content to be displayed */
    content: ReactNode;
    /** Size of emoji */
    size?: number;
}
declare const EmojiDisplay: FunctionComponent<EmojiDisplayProps>;
export default EmojiDisplay;
//# sourceMappingURL=EmojiDisplay.d.ts.map