import type { Ref } from 'react';
import type { BaseProps, NoChildrenProp, ForwardRefForwardPropsComponent, TestIdProp } from '../../types';
export interface EmptyStateProps extends BaseProps, NoChildrenProp, TestIdProp {
    /**
     * Message to display below the icon.
     * @default 'No items'
     */
    message?: string;
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledEmptyState: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
declare const _default: ForwardRefForwardPropsComponent<EmptyStateProps> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly ["message", "icon"]>;
};
export default _default;
//# sourceMappingURL=EmptyState.d.ts.map