import type { Ref } from 'react';
import type { ForwardRefForwardPropsComponent } from '../../types';
import type { FieldGroupProps } from './FieldGroup';
export type FieldGroupListItemProps = FieldGroupProps & {
    /** The ID of the field group list item */
    id: string;
    /** Item level onDelete callback. */
    onDelete?: (id: string) => void;
};
export interface FieldGroupListProps {
    items: FieldGroupListItemProps[];
    contextualLabel?: string;
    onAdd?: () => void;
    onDelete?: (id: string) => void;
    ref?: Ref<HTMLDivElement>;
}
export declare const StyledListItem: import("styled-components").StyledComponent<ForwardRefForwardPropsComponent<FieldGroupProps>, import("styled-components").DefaultTheme, {}, never>;
declare const FieldGroupList: ForwardRefForwardPropsComponent<FieldGroupListProps>;
export default FieldGroupList;
//# sourceMappingURL=FieldGroupList.d.ts.map