import type { NoChildrenProp, OmitStrict, WithAttributes } from '../../types';
import type { FileDisplayProps } from './FileDisplay';
import { type FileListProps } from './FileList';
import { type CompactListProps } from './CompactList';
export type FileDisplayListProps = WithAttributes<'div', Pick<FileDisplayProps, 'variant' | 'compact'> & NoChildrenProp & Partial<Pick<CompactListProps, 'count' | 'onDialogOpen' | 'onDialogClose' | 'heading' | 'progress'>> & Pick<FileListProps, 'onDownloadAll'> & {
    items?: OmitStrict<FileDisplayProps, 'variant'>[];
}>;
declare const FileDisplayList: import("react").ForwardRefExoticComponent<Omit<FileDisplayListProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export default FileDisplayList;
//# sourceMappingURL=FileDisplayList.d.ts.map