import type { ForwardRefForwardPropsComponent, OmitStrict, TestIdProp } from '../../types';
import type { BaseFormProps } from '../MultiStepForm/MultiStepForm.types';
export interface FormProps extends OmitStrict<BaseFormProps, 'content'>, TestIdProp {
    /** The Form content. Recommended composing form elements within a layout template such as Grid or Flex as the only child. */
    children: BaseFormProps['content'];
}
declare const _default: ForwardRefForwardPropsComponent<FormProps> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=Form.d.ts.map