import type { ReactNode } from 'react';
import { type DefaultTheme } from 'styled-components';
import type { TestIdProp, WithAttributes } from '../../types';
export type FullscreenProps = WithAttributes<'div', {
    children: ReactNode;
}> & TestIdProp;
export declare const StyledFullscreen: import("styled-components").StyledComponent<"div", DefaultTheme, {
    theme: DefaultTheme;
    fullscreen: boolean;
}, never>;
export type FullscreenContextValue = [boolean | undefined, () => void] | undefined;
export declare const FullscreenContext: import("react").Context<FullscreenContextValue>;
export declare const useFullscreenContext: () => FullscreenContextValue;
declare const _default: import("react").ForwardRefExoticComponent<Omit<FullscreenProps, "ref"> & import("react").RefAttributes<HTMLDivElement>> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=Fullscreen.d.ts.map