import type { Ref } from 'react';
import type { DefaultTheme } from 'styled-components';
import type { BaseProps, ForwardRefForwardPropsComponent, NoChildrenProp, TestIdProp } from '../../types';
export interface HTMLProps extends BaseProps, NoChildrenProp, TestIdProp {
    content: string;
    customTags?: string[];
    ref?: Ref<HTMLDivElement>;
}
export declare const listStyles: import("styled-components").FlattenSimpleInterpolation;
export declare const getTableStyles: (theme: DefaultTheme) => import("styled-components").FlattenSimpleInterpolation;
export declare const getHtmlStyles: (theme: DefaultTheme) => string;
export declare const StyledHTML: import("styled-components").StyledComponent<"div", DefaultTheme, {}, never>;
declare const _default: ForwardRefForwardPropsComponent<HTMLProps> & {
    getTestIds: (testIdProp?: TestIdProp["testId"]) => import("../../types").TestIdsRecord<readonly []>;
};
export default _default;
//# sourceMappingURL=HTML.d.ts.map