import type { FC } from 'react';
interface OnChangeAddressValue {
    name: string;
    address?: string;
    latitude?: number;
    longitude?: number;
}
interface OnChangeCoordsValue {
    latitude: number;
    longitude: number;
}
type OnChangeValue = OnChangeAddressValue | OnChangeCoordsValue;
export type CurrentLocationButtonProps = {
    /** Callback fired after click on my current location button if location was found. */
    onResolve?: (value: OnChangeValue) => void;
    /** Callback fired when an error occurs. */
    onError?: (error: Error) => void;
};
declare const CurrentLocationButton: FC<CurrentLocationButtonProps>;
export default CurrentLocationButton;
//# sourceMappingURL=CurrentLocationButton.d.ts.map