import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled from 'styled-components';
import { useI18n } from '../../hooks';
import VisuallyHiddenText from '../VisuallyHiddenText/VisuallyHiddenText';
const StyledNoValue = styled.span `
  display: inline-block;
  position: relative;
`;
const NoValue = () => {
    const t = useI18n();
    return (_jsxs(StyledNoValue, { children: [_jsx("span", { "aria-hidden": true, children: "\u2013\u2013" }), _jsx(VisuallyHiddenText, { children: t('no_value') })] }));
};
export default NoValue;
//# sourceMappingURL=NoValue.js.map