import type { ReactNode } from 'react';
import type { ForwardRefForwardPropsComponent } from '../../types';
import type { PageTemplateProps, PageLayoutProps } from './PageTemplates';
export interface DashboardPageProps extends PageTemplateProps {
    a: ReactNode;
    b: ReactNode;
    c: ReactNode;
    filters?: ReactNode[];
    fitToViewport?: boolean;
}
export interface DashboardPageLayoutProps extends PageLayoutProps {
    filters?: ReactNode[];
    filterPosition?: 'block-start' | 'inline-start' | 'inline-end';
    fitToViewport?: boolean;
    regionFullWidth: ReactNode[];
}
export declare const StyledFilterRegion: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    renderSingleRegion?: boolean;
}, never>;
export declare const StyledDashboardRegion: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    renderSingleRegion?: boolean;
}, never>;
export declare const StyledDashboardPageLayout: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    scrollContent: PageLayoutProps["scrollContent"];
    minContentHeight?: number;
} & Pick<DashboardPageProps, "fitToViewport">, never>;
declare const DashboardPage: ForwardRefForwardPropsComponent<DashboardPageProps>;
export default DashboardPage;
//# sourceMappingURL=DashboardPage.d.ts.map