import type { FC } from 'react';
import type { Layout } from 'react-grid-layout';
import type { NoChildrenProp } from '../../../types';
interface EditorBackgroundProps extends NoChildrenProp {
    layout?: Layout[];
    numColumns: number;
    rowHeight: number;
    rowsPerPage: number | null;
    highlighted: boolean;
}
/**
 * Renders background grid-cells for GridEditor
 * @component
 */
declare const EditorBackground: FC<EditorBackgroundProps>;
export default EditorBackground;
//# sourceMappingURL=EditorBackground.d.ts.map