import type { Ref } from 'react';
import type { BaseProps, ForwardRefForwardPropsComponent } from '../../types';
export declare const StyledEmptyQRWrapper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export interface QRCodeProps extends BaseProps {
    /** Text that need to be encoded into QR code. */
    value: string;
    /** The HTML alt attribute for the image. */
    label?: string;
    /** Ref for the wrapping element. */
    ref?: Ref<HTMLImageElement | HTMLDivElement>;
}
declare const QRCode: ForwardRefForwardPropsComponent<QRCodeProps>;
export default QRCode;
//# sourceMappingURL=QRCode.d.ts.map