import type { ReactNode, RefObject } from 'react';
import type { AsProp, WithAttributes } from '../../types';
type ResponsiveActionsProps = WithAttributes<'div', AsProp & {
    actionsRef: RefObject<HTMLElement>;
    actionsEl: ReactNode;
}>;
export declare const StyledResponsiveActionsContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    stacked?: boolean;
}, never>;
declare const ResponsiveActions: ({ actionsRef, actionsEl, as, ...restProps }: ResponsiveActionsProps) => import("react/jsx-runtime").JSX.Element;
export default ResponsiveActions;
//# sourceMappingURL=ResponsiveActions.d.ts.map