import type { FunctionComponent } from 'react';
import type { ShortcutAction, ShortcutManagerProps } from './ShortcutManager.types';
/**
 * Function to register an action triggerable using a shortcut. All actions must be registered before
 * binding a callback.
 * @param actions actions with definitions to be registered.
 */
export declare const registerAction: (...actions: ShortcutAction[]) => void;
declare const ShortcutManager: FunctionComponent<ShortcutManagerProps>;
export default ShortcutManager;
//# sourceMappingURL=ShortcutManager.d.ts.map