import type { FunctionComponent } from 'react';
import type { BaseProps, ForwardProps } from '../../types';
export interface LineSkeletonProps extends BaseProps {
    /**
     * Width of the skeleton.
     * @default 'default'
     */
    width?: 'default' | 'l' | 'm' | 's';
    /**
     * Variant of the skeleton.
     * @default 'default'
     */
    variant?: 'default' | 'link';
}
export declare const StyledLineSkeleton: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, Partial<LineSkeletonProps>, never>;
declare const LineSkeleton: FunctionComponent<LineSkeletonProps & ForwardProps>;
export default LineSkeleton;
//# sourceMappingURL=LineSkeleton.d.ts.map