import { jsx as _jsx } from "react/jsx-runtime";
import styled from 'styled-components';
import { defaultThemeProp } from '../../theme';
const defaultProps = {};
const StyledParagraphSkeleton = styled.div `
  margin: 0.25rem 0;
`;
StyledParagraphSkeleton.defaultProps = defaultThemeProp;
const ParagraphSkeleton = ({ children, ...restProps }) => {
    return (_jsx(StyledParagraphSkeleton, { ...restProps, "aria-disabled": true, children: children }));
};
ParagraphSkeleton.defaultProps = defaultProps;
export default ParagraphSkeleton;
//# sourceMappingURL=ParagraphSkeleton.js.map