import type { RefObject } from 'react';
/**
 * @param draggableElementRef Reference to the element which is draggable.
 * @param dragHandleRef Reference to the handle element which allows to move draggableElementRef.
 */
declare const useDraggable: (draggableElementRef: RefObject<HTMLElement>, dragHandleRef: RefObject<HTMLElement>, enabled?: boolean) => void;
export default useDraggable;
//# sourceMappingURL=useDraggable.d.ts.map