/**
 * Hook to create and return a single instance of SimpleStore.
 * @example const store = useSimpleStoreInstance(initialState);
 * @param initialState initial value for a store state.
 * @returns the store object
 */
declare const useSimpleStoreInstance: <T extends Record<string, unknown>>(initialState: T) => import("./useSimpleStore").SimpleStore<T>;
export default useSimpleStoreInstance;
//# sourceMappingURL=useSimpleStoreInstance.d.ts.map