declare const _default: {
    yes: string;
    no: string;
    always: string;
    never: string;
    true: string;
    false: string;
    none: string;
    filters: string;
    actions: string;
    status: string;
    additional_info: string;
    search_placeholder_default: string;
    select_placeholder_default: string;
    description: string;
    all: string;
    default: string;
    app_default: string;
    sitewide: string;
    opens_in_a_new_tab: string;
    details: string;
    content: string;
    tabs: string;
    pulse: string;
    history: string;
    summary: string;
    summary_panel: string;
    heading: string;
    fields: string;
    subheading: string;
    records: string;
    utilities: string;
    search: string;
    menu: string;
    new: string;
    info: string;
    shortcuts: string;
    label: string;
    caption: string;
    id: string;
    name: string;
    type: string;
    icon: string;
    page: string;
    default_input: string;
    default_input_value: string;
    default_input_property: string;
    value: string;
    field: string;
    field_group: string;
    insight: string;
    view: string;
    range_input: string;
    remove: string;
    follow: string;
    unfollow: string;
    add: string;
    cancel: string;
    try_again: string;
    update: string;
    submit: string;
    apply: string;
    select: string;
    edit: string;
    preview: string;
    decline: string;
    delete: string;
    close: string;
    activate: string;
    expand: string;
    collapse: string;
    accept: string;
    clear: string;
    use: string;
    undo: string;
    redo: string;
    filter: string;
    sort: string;
    group: string;
    go: string;
    configure: string;
    dismiss: string;
    due: string;
    drag: string;
    reset: string;
    view_all: string;
    view_less: string;
    show_more: string;
    show_less: string;
    show_all: string;
    clear_all: string;
    clear_selection: string;
    link_open_in_tab_text: string;
    edit_details: string;
    add_emoji: string;
    create_new: string;
    submit_and_open: string;
    add_condition: string;
    enter_fullscreen: string;
    exit_fullscreen: string;
    disable_word_wrap: string;
    enable_word_wrap: string;
    open_noun: string;
    close_noun: string;
    view_all_noun: string;
    view_less_noun: string;
    expand_noun: string;
    add_noun: string;
    collapse_noun: string;
    checked_noun: string;
    selected_noun: string;
    unselected_noun: string;
    use_input_value: string;
    preview_of_noun: string;
    go_to_noun: string;
    insert_noun: string;
    delete_noun: string;
    remove_noun: string;
    loading_noun: string;
    create_noun: string;
    choose_noun: string;
    select_noun: string;
    actions_for: string;
    edited: string;
    done: string;
    uploading: string;
    loading: string;
    loaded: string;
    submitting: string;
    no_items: string;
    unknown_error: string;
    image_load_error: string;
    selected: string;
    selected_count: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    completed: string;
    current: string;
    previous: string;
    not_started: string;
    empty_value: string;
    no_value: string;
    delivered: string;
    sent: string;
    active: string;
    read_only: string;
    information: string;
    error: string;
    errors: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    warning: string;
    success: string;
    pass: string;
    fail: string;
    did_not_ask: string;
    created: string;
    results_for: string;
    opening_noun: string;
    characters_typed: string;
    day_placeholder: string;
    month_placeholder: string;
    year_placeholder: string;
    hour_placeholder: string;
    minute_placeholder: string;
    second_placeholder: string;
    meridiem_value_am: string;
    meridiem_value_pm: string;
    week_placeholder: string;
    seconds_text: string;
    minutes_text: string;
    hours_text: string;
    days_text: string;
    time_text: string;
    time_format_info: string;
    date_quarter_q1: string;
    date_quarter_q2: string;
    date_quarter_q3: string;
    date_quarter_q4: string;
    time_unit: string;
    attachments_count: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    results_count: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    recent_results_count: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    new_emails_count: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    pagination_page_of: string;
    pagination_next: string;
    pagination_prev: string;
    range_from_datetime: string;
    range_to_datetime: string;
    range_from_numeric: string;
    range_to_numeric: string;
    x_of_y: string;
    n_more: string;
    keypress_instruction: string;
    preview_link_instruction: string;
    polite_announcements: string;
    assertive_announcements: string;
    go_to_main_content: string;
    main_content: string;
    app_shell_create: string;
    app_shell_open_nav: string;
    app_shell_main_navigation_label: string;
    shortcut_NextRegion: string;
    shortcut_PrevRegion: string;
    app_shell_user_account: string;
    app_shell_pin: string;
    app_shell_unpin: string;
    application_logo: string;
    combobox_open_close: string;
    combobox_search_instructions: string;
    combobox_open_list_button_a11y: string;
    combobox_close_list_button_a11y: string;
    multiselect_instructions: string;
    selected_items: string;
    composite_input_open_button_a11y: string;
    composite_input_close_button_a11y: string;
    menu_selection_instructions: string;
    menu_item_expand_arrow: string;
    menu_item_collapse_arrow: string;
    menu_item_collapse_shift_space: string;
    menu_item_shift_space_expand_collapse: string;
    menu_option_list: string;
    menu_item_count: string;
    menu_collapsed: string;
    menu_expanded: string;
    modal_minimize: string;
    modal_maximize: string;
    modal_dock: string;
    modal_close: string;
    minimize: string;
    maximize: string;
    dock: string;
    step_num: string;
    load_more: string;
    selected_date_a11y: string;
    open_calendar_button_a11y: string;
    close_calendar_button_a11y: string;
    open_time_button_a11y: string;
    close_time_button_a11y: string;
    set_current_date_and_time_a11y: string;
    set_current_date_a11y: string;
    clear_current_date_and_time: string;
    clear_current_date: string;
    clear_current_time: string;
    picker_next_month: string;
    picker_prev_month: string;
    picker_jump_to_month_and_year: string;
    calendar_assist: string;
    calendar: string;
    choose_date: string;
    choose_date_and_time: string;
    choose_week: string;
    set_current_week_ally: string;
    auto_focus_next_input_description: string;
    boolean_display_true_label: string;
    boolean_display_false_label: string;
    step_changed_to_name: string;
    measured_in: string;
    increase_value_by: string;
    decrease_value_by: string;
    stepper_instructions: string;
    banner_dismiss_button_label_a11y: string;
    file_upload_text_main: string;
    file_upload_text_one: string;
    file_upload_text_multiple: string;
    download_file: string;
    preview_file: string;
    open_file_in_new_tab: string;
    upload_failed: string;
    uploading_file: string;
    number_of_items: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    attach_files: string;
    attach_review: string;
    download_all: string;
    my_current_location_button_a11y: string;
    location_input_placeholder: string;
    location_not_found_text: string;
    exact_location: string;
    allow_location_permissions_text: string;
    location_info: string;
    advanced_search: string;
    recent_searches: string;
    search_instructions: string;
    search_in: string;
    search_in_noun: string;
    action_from_summarylist_heading: string;
    selected_search_filter: string;
    utilities_label: string;
    utilities_summary: string;
    expand_summary: string;
    collapse_summary: string;
    expand_utilities_panel: string;
    collapse_utilities_panel: string;
    primary_summary_fields: string;
    summary_fields: string;
    current_case: string;
    case_type_icon: string;
    case_type: string;
    case_tabs: string;
    update_available: string;
    close_preview: string;
    preview_error: string;
    previewed_case: string;
    case_preview_tabs: string;
    agent_switcher: string;
    message_pega_gen_ai_coach: string;
    ai_disclaimer: string;
    suggestions: string;
    you: string;
    agent: string;
    agent_noun: string;
    welcome_text: string;
    start_chat: string;
    starter_message: string;
    ask_coach: string;
    generating_response: string;
    response_generated: string;
    good_response: string;
    bad_response: string;
    share_feedback: string;
    interaction_message: string;
    pega_genAI: string;
    suggestions_in_message: string;
    you_asked: string;
    no_conversations_found: string;
    conversation: string;
    back: string;
    accept_suggestion_button_a11y: string;
    reject_suggestion_button_a11y: string;
    suggestion_info: string;
    suggestion_assist: string;
    country_code: string;
    phone_number: string;
    select_country_code: string;
    enter_a_number: string;
    skip_navigation_menu_label: string;
    tab_error_tooltip: string;
    all_tabs: string;
    return_to_tab_list: string;
    non_previewable: string;
    content_load_error: string;
    description_unavailable: string;
    shortcut_JumpToToast: string;
    shortcut_DismissToast: string;
    configurable_layout_instructions: string;
    page_number: string;
    drag_handle_activate_description: string;
    drag_handle_drop_description: string;
    drag_handle_cancel_description: string;
    drag_handle_vertical_description: string;
    drag_handle_horizontal_description: string;
    drag_handle_tab_description: string;
    assignments: string;
    case: string;
    assignment: string;
    assignment_item_assignee: string;
    assignment_item_urgency: string;
    assignment_announcement_label: string;
    case_announcement_label: string;
    assignments_go_announcement_label: string;
    assignments_sla: string;
    key_navigation_instruction: string;
    article_list_label_a11y: string;
    article_list_filter_label_a11y: string;
    article_list_header_submit_label: string;
    clear_filters: string;
    suggest_article: string;
    suggested: string;
    followed: string;
    buddy: string;
    disclaimer: string;
    references: string;
    result_available: string;
    ask: string;
    error_message: string;
    add_a_comment: string;
    score: string;
    relevance_score: string;
    ai_suggestions: string;
    auto_answered: string;
    questions_detected: string;
    past_answered_questions: string;
    not_relevant_questions: string;
    back_to_ai_suggestions: string;
    confidence: string;
    ask_buddy: string;
    ai_generated: string;
    no_articles_found: string;
    semantic_initial_message: string;
    confirmation_options: string;
    search_filter: string;
    article_label_a11y: string;
    article_related_links: string;
    article_more_like_this: string;
    article_thank_you_for_your_feedback: string;
    article_attachments: string;
    likes: string;
    dislikes: string;
    like: string;
    dislike: string;
    confirmation_whats_next: string;
    confirmation_open_tasks: string;
    search_results_clear_all_filters: string;
    search_results_clear_filter: string;
    search_results_active_filters: string;
    search_filter_update_message: string;
    add_stakeholders: string;
    edit_stakeholder: string;
    view_stakeholders: string;
    stakeholders_role: string;
    stakeholders: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    edit_tags: string;
    tags: string;
    view_profile: string;
    timeline_toolbar_sort_descending: string;
    timeline_toolbar_sort_ascending: string;
    timeline_toolbar_group_date: string;
    timeline_toolbar_group_monthyear: string;
    timeline_toolbar_group_quarteryear: string;
    timeline_toolbar_group_year: string;
    timeline_toolbar_group_none: string;
    app_announcement_dismiss_button_label_a11y: string;
    app_announcement_details_list_header: string;
    app_announcement_whats_new_button_label: string;
    stages_label: string;
    stages_see_full_lifecycle: string;
    stages_case_lifecycle: string;
    stages_default_case_lifecycle: string;
    stages_stage_label: string;
    stages_description: string;
    predictions: string;
    all_predictions: string;
    learn_more: string;
    tasks: string;
    tasks_added: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    tasks_removed: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    interaction_time_expired: string;
    interaction_time_remaining: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    interaction_shortcut_goto_info: string;
    interaction_shortcut_dismiss_info: string;
    shortcut_GoToIncomingInteraction: string;
    shortcut_DismissIncomingInteraction: string;
    rte_heading_style: string;
    rte_heading_style_normal: string;
    rte_heading_style_heading_1: string;
    rte_heading_style_heading_2: string;
    rte_heading_style_heading_3: string;
    rte_heading_style_heading_4: string;
    rte_heading_style_unknown: string;
    rte_bold: string;
    rte_italic: string;
    rte_strike_through: string;
    rte_cut: string;
    rte_copy: string;
    rte_paste: string;
    rte_bulleted_list: string;
    rte_numbered_list: string;
    rte_indent: string;
    rte_unindent: string;
    rte_table: string;
    rte_link: string;
    rte_link_text: string;
    rte_link_url: string;
    rte_image: string;
    rte_invalid_html: string;
    rte_insert_field: string;
    rte_invalid_url: string;
    rte_change_text_format: string;
    rte_toggle_unordered_list: string;
    rte_indent_selection: string;
    rte_unindent_selection: string;
    rte_toolbar_instructions: string;
    rte_text_formatting_toolbar: string;
    rte_image_description_info: string;
    rte_image_custom_size: string;
    rte_width_in_pixels: string;
    rte_height_in_pixels: string;
    rte_image_settings: string;
    rte_edit_image: string;
    rte_delete_image: string;
    rte_image_key_command: string;
    expand_trail: string;
    collapse_trail: string;
    copy_to: string;
    subject_label: string;
    search_results: string;
    get_next_email: string;
    feed_post_type: string;
    feed_new_post: string;
    feed_new_post_submit: string;
    feed_new_comment: string;
    feed_new_comment_submit: string;
    feed_attach_files: string;
    feed_post_actions_menu: string;
    feed_edit_post: string;
    feed_edit_comment: string;
    feed_edit_posted: string;
    feed_edit_commented: string;
    feed_context: string;
    feed_liked_by: string;
    feed_likes: string;
    feed_visibility: string;
    feed_private: string;
    feed_public: string;
    feed_visible_to: string;
    feed_users: string;
    feed_mode: string;
    feed_like_label: string;
    feed_unlike_label: string;
    feed_post_likes: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    feed_comment_label: string;
    feed_post_comments: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    feed_attachments_added: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    feed_attachments_removed: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    feed_post_liked: string;
    feed_post_deliked: string;
    feed_post_removed: string;
    feed_comment_added: string;
    feed_comment_removed: string;
    showing_num_of_num: string;
    feed_new_post_added: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    new_item_added: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    loading_post: string;
    mention_type: string;
    markdown_syntax: string;
    markdown_instructions: string;
    markdown_styles: string;
    markdown_images: string;
    markdown_links: string;
    markdown_lists: string;
    markdown_headings: string;
    markdown_code: string;
    markdown_code_block: string;
    markdown_bold: string;
    markdown_italic: string;
    markdown_blockquote: string;
    markdown_heading_level: string;
    markdown_ordered_list: string;
    markdown_ordered_sublist: string;
    markdown_unordered_list: string;
    markdown_unordered_sublist: string;
    markdown_link_text: string;
    markdown_link_url: string;
    markdown_alt_text: string;
    markdown_image_url: string;
    scroll_to_latest_message: string;
    scroll_to_unread_messages: string;
    suggested_replies_current_of_total: string;
    suggested_replies: string;
    confidence_percentage: string;
    next_suggested_reply: string;
    prev_suggested_reply: string;
    dismiss_suggested_replies: string;
    message_sent: string;
    temporarilyUnavailable: string;
    available: string;
    unavailable: string;
    authenticated: string;
    not_authenticated: string;
    context: string;
    context_data: string;
    bot: string;
    is_typing: string;
    chat_message_at_timestamp: string;
    sender_replied_message: string;
    chat_attachments: string;
    chat_links: string;
    chat_message_status: string;
    opened: string;
    undeliverable: string;
    new_message: string;
    attachments: string;
    attachments_x_of_y: string;
    edit_current_template: string;
    send_current_template: string;
    expand_suggested_replies: string;
    collapse_suggested_replies: string;
    replies_count: string;
    no_suggestion: string;
    suggestion: string;
    suggested_reply_copied_to_input_field: string;
    dialogue: string;
    suggest_reply: string;
    join_conversation: string;
    unique_entities: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    more_count: string;
    other_responses: string;
    empty_search: string;
    new_messages: string;
    earlier_transcripts: string;
    send: string;
    compose_label: string;
    save_as_draft: string;
    enter_message: string;
    download: string;
    close_chat_utility: string;
    email_account: string;
    subject: string;
    to: string;
    from: string;
    cc: string;
    bcc: string;
    date: string;
    reply: string;
    reply_all: string;
    response_templates: string;
    forward: string;
    email: string;
    email_message: string;
    email_filters: string;
    unread_email_count: string;
    priority: string;
    inbox: string;
    insert: string;
    email_add_attachment: string;
    email_add_attachment_count: string;
    email_disable_attachment: string;
    email_remove_attachment: string;
    loading_email: string;
    draft: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    undelivered: string;
    drafts: string;
    unread: string;
    call_panel_heading: string;
    call_panel_make_new_call: string;
    call_panel_agent_status: string;
    call_panel_pause_call_menu_item: string;
    call_panel_resume_call_menu_item: string;
    call_panel_mute_mic_menu_item: string;
    call_panel_unmute_mic_menu_item: string;
    call_panel_call_on_hold: string;
    call_panel_consult_call_menu_item: string;
    call_panel_transfer_call_menu_item: string;
    call_panel_menu_item_call_only: string;
    call_panel_menu_item_call_with_interaction: string;
    call_panel_send_dtmf_menu_item: string;
    call_panel_conference_call_menu_item: string;
    call_panel_hangup_call_menu_item: string;
    call_panel_disconnect_participant: string;
    call_panel_contacts_add_to_favorites: string;
    call_panel_contacts_remove_from_favorites: string;
    call_panel_contacts_call_button_label: string;
    call_panel_contacts_list_heading: string;
    call_panel_contacts_favorites_heading: string;
    call_panel_contacts_dial_pad_heading: string;
    call_panel_new_call_heading: string;
    call_panel_interaction_transfer_heading: string;
    call_panel_interaction_transfer_complete_button_label: string;
    call_panel_incoming_call: string;
    call_panel_answer_call: string;
    call_panel_conference_heading: string;
    call_panel_conference_call_and_interactions_heading: string;
    call_panel_consult_heading: string;
    call_panel_consult_call_and_interactions_heading: string;
    call_panel_transfer_heading: string;
    call_panel_transfer_call_and_interactions_heading: string;
    call_panel_conference_submit: string;
    call_panel_transfer_submit: string;
    call_panel_consult_submit: string;
    call_panel_handover_reason_label: string;
    call_panel_handover_to_label: string;
    call_panel_handover_comments_label: string;
    call_panel_handover_call_option_label: string;
    call_panel_handover_call_only_option: string;
    call_panel_handover_call_and_interaction_option: string;
    call_panel_handover_interaction_label: string;
    call_panel_merge_call_menu_item: string;
    call_panel_handoff_call_menu_item: string;
    call_panel_send_dtmf_heading: string;
    call_panel_expand: string;
    call_panel_collapse: string;
    call_panel_nav_label: string;
    dial_pad_keyboard: string;
    dial_pad_phone_number_input_label: string;
    dial_pad_call_button_label: string;
    attestation_statement: string;
    script_adherence_error: string;
    accept_all: string;
    select_multiple: string;
    dismiss_case: string;
    task_manager_add_case: string;
    task_manager_wrap_up: string;
    task_manager_cases: string;
    add_cases: string;
    open_cases: string;
    resolved_cases: string;
    no_picker_items: string;
    selected_picker_items: string;
    no_selected_picker_items: string;
    search_picker_items: string;
    case_picker_close: string;
    case_manager_overflow_menu: string;
    continue_label: string;
    continue_label_a11y: string;
    review_label: string;
    review_label_a11y: string;
    dismiss_label: string;
    dismiss_label_a11y: string;
    task_manager_picker_add_label: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    show_detected_entities: string;
    nothing_detected_yet: string;
    ai_detected_entities: string;
    close_conversation: string;
    shortcut_AddTask: string;
    shortcut_WrapUp: string;
    close_interaction: string;
    live_transcript: string;
    open_live_transcript: string;
    close_live_transcript: string;
    download_live_transcript: string;
    transcripts: string;
    verbatim: string;
    dialog: string;
    download_transcript: string;
    follow_up_tasks: string;
    add_follow_up_task: string;
    agents_utterance: string;
    detected_entities: string;
    no_analytics_collected: string;
    feedback_not_available: string;
    due_on: string;
    interaction_summary: string;
    edit_interaction_summary: string;
    cancel_editing_interaction_summary: string;
    save: string;
    save_interaction_summary: string;
    reason_for_transfer: string;
    reason_cannot_be_blank: string;
    ai_suggested_summary: string;
    summary_cannot_be_blank: string;
    interaction_Summary_not_available: string;
    sentiment_positive: string;
    sentiment_negative: string;
    sentiment_neutral: string;
    no_recommendations: string;
    items_added_to_previous_list: string;
    items_added_to_current_list: string;
    condition_builder_advanced_condition_label: string;
    condition_builder_advanced_condition_placeholder: string;
    condition_builder_advanced_mode_button_label: string;
    condition_builder_basic_mode_button_label: string;
    condition_builder_advanced_mode_button_aria_label: string;
    condition_builder_basic_mode_button_aria_label: string;
    condition_builder_mode_switch: string;
    condition_builder_advanced_condition_tooltip: string;
    condition_builder_condition_select_info_default: string;
    condition_builder_possible_values_label: string;
    condition_builder_possible_values_error: string;
    condition_builder_multi_selection_text_default: string;
    condition_builder_single_selection_text_default: string;
    condition_builder_switch_banner_text: string;
    condition_builder_confirm_button_label: string;
    condition_builder_empty_selection_error_text: string;
    condition_builder_empty_value_text: string;
    condition_builder_compare_with: string;
    condition_builder_compare_with_another_field: string;
    condition_builder_compare_with_parameter: string;
    condition_builder_compare_with_relative_date: string;
    condition_builder_compare_with_text_value: string;
    condition_builder_compare_with_numeric_value: string;
    condition_builder_compare_with_date_value: string;
    condition_builder_compare_with_time_value: string;
    condition_builder_invalid_time_period: string;
    condition_builder_invalid_relative_date: string;
    condition_builder_invalid_value: string;
    condition_builder_invalid_values: string;
    condition_builder_invalid_time: string;
    condition_builder_invalid_date: string;
    condition_builder_invalid_number: string;
    condition_builder_invalid_date_range: string;
    condition_builder_invalid_time_range: string;
    condition_builder_invalid_number_range: string;
    condition_builder_select_placeholder: string;
    condition_builder_hour_number_of_day: string;
    condition_builder_rhs_with_time_only_input: string;
    condition_builder_rhs_with_date_only_input: string;
    condition_builder_rhs_with_date_time_input: string;
    condition_builder_rhs_with_csv_input: string;
    condition_builder_no_selection: string;
    condition_builder_enter_csv_placeholder: string;
    condition_builder_day_number_of_month: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_year: string;
    condition_builder_quarter: string;
    condition_builder_month: string;
    condition_builder_week: string;
    condition_builder_day: string;
    condition_builder_hour: string;
    condition_builder_minute: string;
    condition_builder_second: string;
    condition_builder_date_function_hour_of_day: string;
    condition_builder_date_function_month_of_year: string;
    condition_builder_date_function_day_of_month: string;
    condition_builder_date_function_day_of_week: string;
    condition_builder_date_part: string;
    condition_builder_current_second: string;
    condition_builder_current_minute: string;
    condition_builder_current_hour: string;
    condition_builder_current_day: string;
    condition_builder_current_week: string;
    condition_builder_current_month: string;
    condition_builder_current_quarter: string;
    condition_builder_current_year: string;
    condition_builder_last_X_seconds: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_last_X_minutes: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_last_X_hours: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_last_X_days: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_last_X_weeks: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_last_X_months: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_last_X_quarters: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_last_X_years: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_next_X_seconds: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_next_X_minutes: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_next_X_hours: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_next_X_days: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_next_X_weeks: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_next_X_months: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_next_X_quarters: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_next_X_years: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_previous_X_seconds: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_previous_X_minutes: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_previous_X_hours: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_previous_X_days: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_previous_X_weeks: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_previous_X_months: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_previous_X_quarters: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_previous_X_years: {
        zero: string;
        one: string;
        two: string;
        few: string;
        many: string;
        other: string;
    };
    condition_builder_time_period_label: string;
    condition_builder_time_period_last: string;
    condition_builder_time_period_current: string;
    condition_builder_time_period_previous: string;
    condition_builder_time_period_next: string;
    condition_builder_value_label: string;
    condition_builder_field_label: string;
    condition_builder_comparator_label: string;
    condition_builder_comparator_is_true: string;
    condition_builder_comparator_is_false: string;
    condition_builder_comparator_is_equal_to: string;
    condition_builder_comparator_is_not_equal_to: string;
    condition_builder_comparator_is_null: string;
    condition_builder_comparator_is_not_null: string;
    condition_builder_comparator_is_in_list: string;
    condition_builder_comparator_is_not_in_list: string;
    condition_builder_comparator_starts_with: string;
    condition_builder_comparator_not_starts_with: string;
    condition_builder_comparator_ends_with: string;
    condition_builder_comparator_not_ends_with: string;
    condition_builder_comparator_contains: string;
    condition_builder_comparator_not_contains: string;
    condition_builder_comparator_between: string;
    condition_builder_comparator_not_between: string;
    condition_builder_comparator_greater_than: string;
    condition_builder_comparator_greater_than_or_equals: string;
    condition_builder_comparator_lower_than: string;
    condition_builder_comparator_lower_than_or_equals: string;
    condition_builder_comparator_after: string;
    condition_builder_comparator_on_or_after: string;
    condition_builder_comparator_before: string;
    condition_builder_comparator_on_or_before: string;
    dev_mode: string;
    expand_navigation: string;
    collapse_navigation: string;
    switch_to: string;
    expand_search: string;
    collapse_search: string;
    branch_with_no_changes: string;
    branch_with_no_potential_conflicts: string;
    branch_with_potential_conflicts: string;
    style: string;
    color: string;
    opacity: string;
    file_url: string;
    size: string;
    position: string;
    repeat: string;
    image_preview: string;
    direction: string;
    color_stops: string;
    add_stops: string;
    gradient_preview: string;
    location: string;
    delete_stop: string;
    edit_background_picker_label: string;
    automatic: string;
    transparent: string;
    solid_color: string;
    image: string;
    linear_gradient: string;
    radial_gradient: string;
    conic_gradient: string;
    auto: string;
    cover: string;
    contain: string;
    center: string;
    top: string;
    right: string;
    left: string;
    bottom: string;
    top_left: string;
    top_right: string;
    bottom_right: string;
    bottom_left: string;
    no_repeat: string;
    repeat_image: string;
    repeat_x: string;
    repeat_y: string;
    space: string;
    round: string;
    file_url_error: string;
    color_preview: string;
    parallel: string;
    stage: string;
    process: string;
    alternate_stage: string;
    add_stage: string;
    add_process: string;
    add_alternate_stage: string;
    stage_name: string;
    process_name: string;
    step_name: string;
    item_error: string;
    step_name_error: string;
    stage_name_error: string;
    process_name_error: string;
    wait_for_user_action: string;
    resolve_case: string;
    collect_info: string;
    decision: string;
    send_email: string;
    add_node: string;
    search_nodes: string;
    delete_step: string;
    delete_decision_step: string;
    delete_step_title: string;
    delete_step_outcome: string;
    delete_all_outcomes: string;
    delete_step_error: string;
    delete_referenced_step_error: string;
    delete_connector_error: string;
    applies_to: string;
    path: string;
    current_context: string;
    fieldref_open_close: string;
    fieldref_search_instructions: string;
    fieldref_open_list_button_a11y: string;
    fieldref_close_list_button_a11y: string;
    constant_description: string;
    expression_description: string;
    rule_description: string;
    constant_label: string;
    expression_label: string;
    rule_label: string;
    field_reference_label: string;
    field_reference_description: string;
    value_type: string;
    dynamicInput_format_Text: string;
    'dynamicInput_format_Text (paragraph)': string;
    dynamicInput_format_Boolean: string;
    dynamicInput_format_Currency: string;
    dynamicInput_format_Percentage: string;
    dynamicInput_format_Integer: string;
    dynamicInput_format_Decimal: string;
    dynamicInput_format_Phone: string;
    dynamicInput_format_DateTime: string;
    dynamicInput_format_Date: string;
    dynamicInput_format_Time: string;
    zoom_level: string;
    close_configuration_panel: string;
    clear_object_summary: string;
    create_in_new_tab: string;
    expression_editor: string;
    output_parameters: string;
    input_parameters: string;
    /** build: Expression */
    expression_input: string;
    no_app_build: string;
    build_app: string;
    build_in_progress: string;
    rebuild_app: string;
    download_app: string;
    qr_code_not_available: string;
    qr_code: string;
    app_header_notifications_empty: string;
    app_header_notifications_loading: string;
    open_app_header_notifications: string;
    open_app_header_drawer: string;
    preview_frame: string;
    open_in_new_window_text: string;
    more_options: string;
    dev_tools: string;
    active_session_info: string;
    continue_debugging: string;
    delete_group: string;
    add_group: string;
    add_sort: string;
    view_in_google_maps: string;
    location_marker: string;
    action_task: string;
    task_object: string;
    view_rule: string;
    system_rule: string;
    record_rule: string;
    portal_rule: string;
    persona_rule: string;
    permission_rule: string;
    live_data_rule: string;
    integration_system_rule: string;
    insight_rule: string;
    field_rule: string;
    data_page_rule: string;
    connector_rule: string;
    configuration_rule: string;
    authenticate_rule: string;
    when_logic: string;
    validation_logic: string;
    function_logic: string;
    decision_step_logic: string;
    case_wait: string;
    case_stage: string;
    case_sla: string;
    case_process: string;
    case_go_to: string;
    case_object: string;
    set_automation: string;
    return_automation: string;
    for_each_automation: string;
    call_automation: string;
    append_automation: string;
    automation_object: string;
    ai_object: string;
    additional_information: string;
    field_picker_label: string;
    field_picker_placeholder: string;
    editor_loading_message: string;
    custom_label: string;
    custom_caption: string;
    add_label: string;
    custom_add_label: string;
    instruction_text_label: string;
    paragraph_already_exists_error: string;
    paragraph_create_modal_heading: string;
    paragraph_update_modal_heading: string;
    paragraph_name_label: string;
    paragraph_text_content_label: string;
    shared_rule: string;
    creating_new_rule: string;
    updating_rule: string;
    unsupported_rule_type_label: string;
    unsupported_rule_type_description: string;
    create_new_record_failed: string;
    field_does_not_exist_error: string;
    configure_item: string;
    data_page_call_error: string;
    item_not_in_data_page: string;
    sync_tabs_additional_info_enabling: string;
    sync_tabs_additional_info_tabs: string;
    location_field_label: string;
    create_new_item: string;
    warning_color: string;
    color_contrast_warning: string;
    has_compliance_warning: string;
    compliance_warning: string;
    gradient_warning: string;
    advanced_settings_toggle_btn: string;
    color_swatch_btn_label: string;
    theme_preview_title: string;
    default_font_info: string;
    custom_font_family: string;
    custom_font_family_error: string;
    fields_to_highlight: string;
    first_field: string;
    first_n_fields: string;
    learn_about_primary_fields: string;
    show_lifecycle: string;
    use_only_primary_fields: string;
    use_only_primary_fields_info: string;
    new_tab_heading: string;
    creating_tab: string;
    create_tab_failure_message: string;
    loading_configure_dialog: string;
    delete_parameter_filter: string;
    insight_field_applied_on: string;
    please_fill_the_required_fields: string;
    system_pages: string;
    value_cannot_be_blank: string;
    valid_number_within_range: string;
    expected_value: string;
    invalid_value: string;
    hide_icons_additional_info_first_sentence: string;
    hide_icons_additional_info_second_sentence: string;
    wcag: string;
    add_to: string;
    namespace: string;
    decision_rule: string;
    when_rule: string;
    invalid_rule: string;
    invalid_rule_non_relevant_record: string;
    infinity_stack_overflow_error: string;
    /** studio-dx-components: Expression */
    expression_error_incorrect_data_type: string;
    expression_error_with_data_and_object_type: string;
    expression_error_with_data_type: string;
    prompt_scope: string;
    prompt_type: string;
    expression_wait_message: string;
    expression_general_error: string;
    expression_datapage_general_error: string;
    expression_allowed_rules_error: string;
    ui_inspector: string;
    ui_inspector_iframe_title: string;
    ui_inspector_metadata: string;
    ui_inspector_quick_info: string;
    ui_inspector_field_metadata: string;
};
export default _default;
//# sourceMappingURL=default.d.ts.map