/**
 * Focuses the highest level heading element in a container, or the container itself if there are no headings.
 * @param container Node to query for a heading.
 * @param label Fallback label to apply to the container if focused.
 * @returns boolean whether the focus was successful or not (eg. element is not visible).
 */
declare const focusHeadingOrContainer: (container: ParentNode, label?: string) => boolean;
export default focusHeadingOrContainer;
//# sourceMappingURL=focusHeadingOrContainer.d.ts.map