import type { TranslationFunction, TranslationPack } from '../i18n';
/**
 * Function generates string representation of the given list accordingly to localization rules of given locale.
 * @param list list of strings to format
 * @param t translation function used internally
 * @param locale locale tag to get the localization rules for
 * @param options formatting options
 * @returns
 */
declare const formatListToLocaleString: (list: string[], t: TranslationFunction<TranslationPack>, locale: string, { count, separator }?: {
    count?: number;
    separator?: string;
}) => string;
export default formatListToLocaleString;
//# sourceMappingURL=formatListToLocaleString.d.ts.map