/**
 * Determines if a given coordinate is contained within a DOMRect.
 * @param coordinates An x and y coordinate relative to the viewport
 * @param rect A DOMRect
 * @returns true if the given coordinate is contained within the DOMRect, false otherwise.
 */
declare const isPositionWithinRect: ({ x, y }: {
    x: number;
    y: number;
}, rect: DOMRect) => boolean;
export default isPositionWithinRect;
//# sourceMappingURL=isPositionWithinRect.d.ts.map