import type { RefObject } from 'react';
/**
 * Returns normalized list of targets, ie. it de-reference the element from the RefObject if needed.
 * @param targets a list of targets or refs to normalize.
 * @returns a new list of the same length with the de-referenced targets.
 */
declare const normalizeTargets: <T extends EventTarget = EventTarget>(targets: (T | null | RefObject<T | null>)[]) => T[];
export default normalizeTargets;
//# sourceMappingURL=normalizeTargets.d.ts.map